<!--
IGAC proyecto SNC
@franz.gamba

@description  botones para consultar lso formatos y el estudio de costos

TODO::franz.gamba::22-03-12::documentar los parametros ::juan.agudelo

@param		updateBtnRegistrarAjustarParam: ids de los updates a realizar en el boton registrar ajustar
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" columns="1" cellspacing="3"
             width="100%" id="panelGridBotonesFormatosYEstudioCostos">

    <p:ajaxStatus onstart="statusDialog.show();"
                  onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
    <p:panel>
        <p:commandButton id="btnRegistrarAjustar" disabled="#{!currentManagedBeanParam.existeFormatoCostos}"
                         widgetVar="registrarAjustarWV" update="#{updateBtnParam}"
                         value="Formatos" process="@this">
            <f:setPropertyActionListener value="true"
                                         target="#{currentManagedBeanParam.formatosFlag}" />
            <f:setPropertyActionListener value="false"
                                         target="#{currentManagedBeanParam.estudioCostosFlag}" />
            <f:setPropertyActionListener value="#{isRegistrarParam}"
                                         target="#{currentManagedBeanParam.registrarFormatos}" />
        </p:commandButton>
        <p:spacer height="0" width="10" />
        <p:commandButton id="btnEstudioCostos" widgetVar="estudioCostosWV"
                         disabled="#{!currentManagedBeanParam.existeFormatoCostos}"
                         action="#{currentManagedBeanParam.cargarEstudioDeCostos}"
                         update="#{updateBtnParam}" value="Estudio de Costos" process="@this">
            <f:setPropertyActionListener value="false"
                                         target="#{currentManagedBeanParam.formatosFlag}" />
            <f:setPropertyActionListener value="true"
                                         target="#{currentManagedBeanParam.estudioCostosFlag}" />
        </p:commandButton>
    </p:panel>

</h:panelGrid>